# Uses of Interface
org.astrogrid.samp.xmlrpc.SampXmlRpcClientFactory

Packages that use SampXmlRpcClientFactory
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.
org.astrogrid.samp.xmlrpc.apache
Implementation of pluggable XML-RPC layer using Apache XML-RPC.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of SampXmlRpcClientFactory in org.astrogrid.samp.web

Constructors in org.astrogrid.samp.web with parameters of type SampXmlRpcClientFactory
Modifier
Constructor
Description
``
`WebClientProfile(Map securityMap, SampXmlRpcClientFactory xClientFactory, URL hubEndpoint)`
Constructor with configuration options.

## Uses of SampXmlRpcClientFactory in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return SampXmlRpcClientFactory
Modifier and Type
Method
Description
`abstract SampXmlRpcClientFactory`
XmlRpcKit.`getClientFactory()`
Returns an XML-RPC client factory.
Constructors in org.astrogrid.samp.xmlrpc with parameters of type SampXmlRpcClientFactory
Modifier
Constructor
Description
``
`HubRunner(SampXmlRpcClientFactory xClientFactory, SampXmlRpcServerFactory xServerFactory, HubService hub, File lockfile)`
Deprecated.
Constructor.
``
`StandardClientProfile(SampXmlRpcClientFactory xClientFactory, SampXmlRpcServerFactory xServerFactory)`
Constructs a profile given client and server factory implementations.
``
`StandardHubProfile(SampXmlRpcClientFactory xClientFactory, SampXmlRpcServerFactory xServerFactory, File lockfile, String secret)`
Constructs a hub profile with given configuration information.

## Uses of SampXmlRpcClientFactory in org.astrogrid.samp.xmlrpc.apache

Classes in org.astrogrid.samp.xmlrpc.apache that implement SampXmlRpcClientFactory
Modifier and Type
Class
Description
`class`
`ApacheClientFactory`
SampXmlRpcClientFactory implementation based on Apache XMLRPC classes.

## Uses of SampXmlRpcClientFactory in org.astrogrid.samp.xmlrpc.internal

Classes in org.astrogrid.samp.xmlrpc.internal that implement SampXmlRpcClientFactory
Modifier and Type
Class
Description
`class`
`InternalClientFactory`
Freestanding SampXmlRpcClientFactory implementation.
`class`
`RpcLoggingInternalClientFactory`
Freestanding ClientFactory implementation which logs all XML-RPC calls/responses to standard output.
`class`
`XmlLoggingInternalClientFactory`
Freestanding ClientFactory implementation which logs all incoming and outgoing HTTP data.